concepts::detail::boolean_< Fn > Struct Template Reference
Inheritance diagram for concepts::detail::boolean_< Fn >:

## Public Member Functions

constexpr | boolean_ (decltype(nullptr)) noexcept
template<typename That >
constexpr and_< boolean_, That > | operator && (That) const noexcept
template<bool = true>
constexpr | operator bool () const noexcept
constexpr not_< boolean_ > | operator! () const noexcept
template<typename That >
constexpr or_< boolean_, That > | operator|| (That) const noexcept